org.optaplanner.core.impl.score.stream.bavet.bi

## Class BavetFilterBiTuple<A,B>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple
  - - org.optaplanner.core.impl.score.stream.bavet.bi.BavetAbstractBiTuple<A,B>
    - - org.optaplanner.core.impl.score.stream.bavet.bi.BavetFilterBiTuple<A,B>

- All Implemented Interfaces:
    BavetTuple

      public final class BavetFilterBiTuple<A,B>
      extends BavetAbstractBiTuple<A,B>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<BavetAbstractBiTuple<A,B>>` | `childTupleList`

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple

      `state`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BavetFilterBiTuple(BavetFilterBiNode<A,B> node, BavetAbstractBiTuple<A,B> parentTuple)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<BavetAbstractBiTuple<A,B>>` | `getChildTupleList()`
    `A` | `getFactA()`
    `B` | `getFactB()`
    `BavetFilterBiNode<A,B>` | `getNode()`
    `void` | `refresh()`
    `String` | `toString()`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.bi.BavetAbstractBiTuple

      `getFacts`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractTuple

      `getNodeOrder, getState, isActive, isDirty, refreshed, setState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.bavet.common.BavetTuple

      `getFactsString`

- - ### Field Detail

    - #### childTupleList

          protected List<BavetAbstractBiTuple<A,B>> childTupleList

  - ### Constructor Detail

    - #### BavetFilterBiTuple

          public BavetFilterBiTuple(BavetFilterBiNode<A,B> node,
                                    BavetAbstractBiTuple<A,B> parentTuple)

  - ### Method Detail

    - #### refresh

          public void refresh()

      Specified by:
        `refresh` in class `BavetAbstractTuple`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getNode

          public BavetFilterBiNode<A,B> getNode()

    - #### getFactA

          public A getFactA()

      Specified by:
        `getFactA` in class `BavetAbstractBiTuple<A,B>`

    - #### getFactB

          public B getFactB()

      Specified by:
        `getFactB` in class `BavetAbstractBiTuple<A,B>`

    - #### getChildTupleList

          public List<BavetAbstractBiTuple<A,B>> getChildTupleList()

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.